6.0.0-git
2021-01-18

[#2292] group hooks don't work with user shared resources
Summary group hooks don't work with user shared resources
Queue Horde Base
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester abnormaliti (at) clivepeeters (dot) com (dot) au
Created 2005-07-19 (5662 days ago)
Due
Updated 2005-08-04 (5646 days ago)
Assigned 2005-07-19 (5662 days ago)
Resolved 2005-08-04 (5646 days ago)
Milestone
Patch No

History
2005-08-04 20:13:04 Jan Schneider Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in CVS and Horde 3.0.6.
2005-07-19 09:29:31 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2005-07-19 05:51:50 abnormaliti (at) clivepeeters (dot) com (dot) au Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ group hooks don't work with user shared resources
Queue ⇒ Horde Base
Reply to this comment
i have been trying to get _group_hooks to work in horde FRAMEWORK_3 
CVS and i think i have come across a bug.  i am finding that the group 
hooks work when an admin assigns permissions to applications but does 
not work when a user attempts to share a resource with other users, 
such as calendars, task lists, etc.



so if a user shares a calendar for example to a group whose only users 
are fetched via a hook no one in that group can access the shared 
calendar, but if I (admin) add a user to the group via the 
Administration interface that user can see the shared calendar.



But if an admin assigns an application, eg. imp, to the same group the 
members get access to the application and those not in the group do not.



I have also reproduced this in 3.0.4


Saved Queries